package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.RelResBas;
import org.apache.ibatis.annotations.Mapper;

/** 水库基本信息关联 Mapper */
@Mapper
public interface RelResBasMapper {
    /**
     * 查询水库基本信息关联列表
     *
     * @param relResBas 查询条件
     * @return 水库基本信息关联列表
     */
    public List<RelResBas> selectRelResBasList(RelResBas relResBas);

    /**
     * 通过主键查询水库基本信息关联
     *
     * @param relResBas 查询条件
     * @return 水库基本信息关联
     */
    public RelResBas selectRelResBasById(RelResBas relResBas);

    /**
     * 通过主键删除水库基本信息关联
     *
     * @param relResBas 删除条件
     * @return 影响行数
     */
    public int deleteRelResBasById(RelResBas relResBas);

    /**
     * 修改水库基本信息关联
     *
     * @param relResBas 水库基本信息关联
     * @return 影响行数
     */
    public int updateRelResBas(RelResBas relResBas);

    /**
     * 新增水库基本信息关联
     *
     * @param relResBas 水库基本信息关联
     * @return 影响行数
     */
    public int insertRelResBas(RelResBas relResBas);
}
